Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class OProcess

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.OBase
          org.apache.ode.bpel.rtrep.v2.OProcess

All Implemented Interfaces:
  java.io.Serializable, ActivityModel, ProcessModel

    public class OProcess

extends OBase
implements ProcessModel

Compiled BPEL process representation.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OProcess.OExtension`
`static class` | `OProcess.OProperty`
`static class` | `OProcess.OPropertyAlias`

Field Summary
`java.util.Set<PartnerLinkModel>` | `allPartnerLinks` All partner links in the process.
`boolean` | `atomicScope` Process-level atomic scope flag
`java.util.Date` | `compileDate` Date process was compiled.
`OConstants` | `constants` Various constants that are needed at runtime.
`java.util.Set<OProcess.OExtension>` | `declaredExtensions` All declared extensions in the process.
`java.util.HashMap<javax.xml.namespace.QName,OElementVarType>` | `elementTypes`
`java.util.HashSet<OExpressionLanguage>` | `expressionLanguages`
`byte[]` | `globalState`
`java.lang.String` | `guid`
`static int` | `instanceCount`
`java.util.HashMap<javax.xml.namespace.QName,OMessageVarType>` | `messageTypes`
`java.util.Set<OProcess.OExtension>` | `mustUnderstandExtensions` All must-understand extensions in the process.
`java.lang.String` | `processName` Name of the process.
`OScope` | `processScope` ProcessImpl-level scope.
`java.util.List<OProcess.OProperty>` | `properties`
`java.lang.String` | `targetNamespace` Namespace of the process.
`java.lang.String` | `uuid` Universally Unique Identifier
`java.lang.String` | `version` BPEL version.
`java.util.HashMap<javax.xml.namespace.QName,OXsdTypeVarType>` | `xsdTypes`
`java.util.HashMap<java.net.URI,OXslSheet>` | `xslSheets`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`debugInfo`

Constructor Summary
`OProcess(java.lang.String bpelVersion)`

Method Summary
`protected void` | `finalize()`
`java.util.Set<PartnerLinkModel>` | `getAllPartnerLinks()`
`ActivityModel` | `getChild(int id)`
`java.util.List<OBase>` | `getChildren()`
`ConstantsModel` | `getConstantsModel()`
`java.util.List<java.lang.String>` | `getCorrelators()`
`java.util.Collection` | `getExpressionLanguages()`
`java.lang.String` | `getGuid()`
`int` | `getModelVersion()`
`java.lang.String` | `getName()`
`PartnerLinkModel` | `getPartnerLink(int partnerLinkModelId)`
`PartnerLinkModel` | `getPartnerLink(java.lang.String name)`
`ScopeModel` | `getProcessScope()`
`javax.xml.namespace.QName` | `getQName()`
`OScope` | `getScope(java.lang.String scopeName)`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### instanceCount

    public static int instanceCount

### guid

    public java.lang.String guid

### version

    public final java.lang.String version

  BPEL version.

### constants

    public OConstants constants

  Various constants that are needed at runtime.

### uuid

    public java.lang.String uuid

  Universally Unique Identifier

### targetNamespace

    public java.lang.String targetNamespace

  Namespace of the process.

### processName

    public java.lang.String processName

  Name of the process.

### processScope

    public OScope processScope

  ProcessImpl-level scope.

### atomicScope

    public boolean atomicScope

  Process-level atomic scope flag

### allPartnerLinks

    public final java.util.Set<PartnerLinkModel> allPartnerLinks

  All partner links in the process.

### properties

    public final java.util.List<OProcess.OProperty> properties

### declaredExtensions

    public final java.util.Set<OProcess.OExtension> declaredExtensions

  All declared extensions in the process.

### mustUnderstandExtensions

    public final java.util.Set<OProcess.OExtension> mustUnderstandExtensions

  All must-understand extensions in the process.

### compileDate

    public java.util.Date compileDate

  Date process was compiled.

### globalState

    public byte[] globalState

### expressionLanguages

    public final java.util.HashSet<OExpressionLanguage> expressionLanguages

### messageTypes

    public final java.util.HashMap<javax.xml.namespace.QName,OMessageVarType> messageTypes

### elementTypes

    public final java.util.HashMap<javax.xml.namespace.QName,OElementVarType> elementTypes

### xsdTypes

    public final java.util.HashMap<javax.xml.namespace.QName,OXsdTypeVarType> xsdTypes

### xslSheets

    public final java.util.HashMap<java.net.URI,OXslSheet> xslSheets

Constructor Detail

### OProcess

    public OProcess(java.lang.String bpelVersion)

Method Detail

### getGuid

    public java.lang.String getGuid()

  Specified by:
    `getGuid` in interface `ProcessModel`

### getChild

    public ActivityModel getChild(int id)

  Specified by:
    `getChild` in interface `ProcessModel`

### getChildren

    public java.util.List<OBase> getChildren()

### getScope

    public OScope getScope(java.lang.String scopeName)

### getAllPartnerLinks

    public java.util.Set<PartnerLinkModel> getAllPartnerLinks()

  Specified by:
    `getAllPartnerLinks` in interface `ProcessModel`

### getPartnerLink

    public PartnerLinkModel getPartnerLink(java.lang.String name)

  Specified by:
    `getPartnerLink` in interface `ProcessModel`

### getPartnerLink

    public PartnerLinkModel getPartnerLink(int partnerLinkModelId)

  Specified by:
    `getPartnerLink` in interface `ProcessModel`

### getName

    public java.lang.String getName()

### getExpressionLanguages

    public java.util.Collection getExpressionLanguages()

### getCorrelators

    public java.util.List<java.lang.String> getCorrelators()

  Specified by:
    `getCorrelators` in interface `ProcessModel`

### getQName

    public javax.xml.namespace.QName getQName()

  Specified by:
    `getQName` in interface `ProcessModel`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### getModelVersion

    public int getModelVersion()

  Specified by:
    `getModelVersion` in interface `ProcessModel`

### getConstantsModel

    public ConstantsModel getConstantsModel()

  Specified by:
    `getConstantsModel` in interface `ProcessModel`

### getProcessScope

    public ScopeModel getProcessScope()

  Specified by:
    `getProcessScope` in interface `ProcessModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD